/**
 * Created by tscislo on 4/14/14. / /
 */
"use strict";
dm.models.Location = Backbone.Model.extend({

	urlRoot : config.api + 'locations',

	defaults : {
		lat : 0,
		lng : 0,
		usersApplicationId : config.usersApplicationId
	},

	save : function(attrs, options) {
		var round = function(val) {
			return Math.round(val * 10000000) / 10000000
		}
		this.set('lat', round(this.get('lat')));
		this.set('lng', round(this.get('lng')));
		this._super(attrs, options);
	}

});
