/**
 * Created by tscislo on 4/14/14. / / / / /
 */
"use strict";

dm.models.Measurement = Backbone.Model.extend({

	units : [ "__UNKNOWN__", "m", "km", "yr", "mi", "m^2", "km^2", "yr^2", "mi^2" ],

	types : [ "__UNKNOWN__", "distance", "area" ],

	urlRoot : config.api + 'measurements',

	defaults : {
		result : 0,
		usersApplicationId : config.usersApplicationId,
        locations : []
	}

});

dm.models.Measurement.prototype.type = dm.models.Measurement.prototype.types[0];
dm.models.Measurement.prototype.unit = dm.models.Measurement.prototype.units[0];
