const facebookAds = function () {
    var interstitialReady = false;
    var interstitialProbability = 50; // in %
    var isTesting = false;
    return {
        init: function () {
            if (config.desktop) {
                return
            }
            console.log('facebookAds INIT');
            cordova.plugins.codeplayfacebookads.showBannerAds({
                bannerid: "400819951014251_400826231013623",
                isTesting: isTesting
            }, function (result) {
                console.log("banner showed", result)
            }, function (result) {
                console.log("banner error", result)
            })
        },

        requestInterstitial: function () {
            if (config.desktop) {
                return
            }
            console.log('interstitial requested');
            interstitialReady = false;
            cordova.plugins.codeplayfacebookads.loadInterstitialAds(
                {
                    interstitialid: "400819951014251_400823364347243",
                    isTesting: isTesting
                },
                function (event) {
                    if (event === "AdLoaded") {
                        console.log("interstitial ad AdLoaded");
                        interstitialReady = true;
                    } else if (event === "AdClosed") {
                        console.log("interstitial ad AdClosed");
                    } else if (event === "AdDisplayed") {
                        console.log("interstitial ad AdDisplayed");
                    } else if (event === "AdClicked") {
                        console.log("interstitial ad AdClicked");
                    } else if (event === "AdLogged") {
                        console.log("interstitial ad AdLogged");
                    }
                },
                function (result) {
                    console.log("Unable to load interstitial ad", result);
                    interstitialReady = false;
                }
            )
        },

        showInterstitial: function (resolve) {
            if (config.desktop || Math.random() * 100 > interstitialProbability) {
                resolve();
                return false;
            }
            function innerCallback(msg) {
                console.log(msg);
                facebookAds.requestInterstitial();
                view.loader(false);
                resolve();
            };
            if (interstitialReady) {
                view.loader(true);
                console.log('showing interstitial');
                cordova.plugins.codeplayfacebookads.showInterstitialAds("",
                    function (success) {
                        innerCallback("Interstitial showed " + success);
                    },
                    function (error) {
                        innerCallback("Interstitial unable to show " + error);
                    }
                );
            } else {
                innerCallback('not showing interstitial');
            }
        }

    }
}();
