<?php 
header('Cache-Control: no-cache, must-revalidate');
header('Content-Type: application/x-web-app-manifest+json');
?>
{
    "version": "3.11.2",
    "name": "Area Meter",
 	"description": "Area Meter allows you to calculate the area of a selected region. You just need to select a few locations in order to define the region using GPS.",
    "launch_path": "/index.html",
    "icons": {
    "64" : "/res/icon/firefox/64.png",
    "128" : "/res/icon/firefox/128.png",
    "256" : "/res/icon/firefox/256.png"
    },
    "permissions": {
	  "geolocation": {
	    	"description": "Obtain the current location of the user."
	    }
	},
    "developer": {
        "name": "Tomasz Scislo",
        "url": "http://scislo.eu"
    },
    "locales": {
	"pl": {
	  "name" : "Miernik Powierzchni",
	  "description": "Miernik Powierzchni pozwala Ci określić powierzchnię kiedy chodzisz po swojej działce lub innym obszarze.",
	  "developer": {
	    "url": "http://scislo.eu"
	  }
	},
	"es": {
	  "name" : "Medidor de Área",
	  "description": "Medidor de Área te permite calcular el área de la región seleccionada.",
	  "developer": {
	    "url": "http://scislo.eu"
	  }
	},
	"de": {
	  "name" : "Flächemesser",
	  "description": "Flächemesser erlaubt Dir eine Fläche zu bestimmen, wenn Du auf Deinem Grundstück oder irgendwo läufst. Wähle ein Paar Standorte via GPS und schalte Netz ein.",
	  "developer": {
	    "url": "http://scislo.eu"
	  }
	},
	"ru": {
	  "name" : "Землемер",
	  "description": "Землемер служит для рассчета площади выбранного участка. Участок определяется с помощью нескольких точек на карте, выбранных с помощью GPS.",
	  "developer": {
	    "url": "http://scislo.eu"
	  }
	},
	"fr": {
	  "name" : "Mesurez la surface",
	  "description": "Mesurez la surface permet de mesurer la surface d'un espace choisi. Il faut placer quelques points pour mesurer un espace, le récepteur GPS est la connexion Internet actifs.",
	  "developer": {
	    "url": "http://scislo.eu"
	  }
	},
	"pt-br": {
	  "name" : "Medidor de Área",
	  "description": "O Medidor de Área permite-lhe calcular a área de uma região selecionada. Apenas tem que selecionar alguns locais de forma a definir a região usando o GPS. Tem de ter uma ligação à Internet ativa. A região será exibida no mapa e o calculo da área será efectuado automaticamente. ",
	  "developer": {
	    "url": "http://scislo.eu"
	  }
	}
	},
    "default_locale": "en"
}