"use strict";
var android = function() {

	return {
		invoke : function(method, params) {
			if (!config.desktop && typeof androidInterface[method] === "function") {
				params = params || [];
				androidInterface[method].apply(androidInterface, params);
			}
		},
		goToGooglePlay : function(appName) {
			if (!config.desktop) {
				android.invoke('goToGooglePlay', [ appName ]);
			} else {
				if (appName === "com.srpol.PhoneGapGoogleMaps") {
					appName = "distance-meter";
				}
				if (appName === "com.tscislo.AreaMeter") {
					appName = "area-meter";
				}
                if (appName === "com.tscislo.FreeMapsRuler") {
                    appName = "free-maps-ruler";
                }
                if (app.isFirefox()) {
                    var openUrl = "https://marketplace.firefox.com/app/" + appName;
                } else {
                    var openUrl = "http://scislo.eu/" + appName;
                }
                window.open(openUrl, "_blank", "toolbar=yes, scrollbars=yes, resizable=yes");
			}
		}
	}
}();