var locationProvider = function() {
    if(!config.definedCoords) {
        console.error("Unable to init locationProvider")
    }

    var idx = 0;

    return {
        getLocation: function() {
            var coord = config.definedCoords[idx];
            idx = (idx + 1 < config.definedCoords.length) ? idx + 1 : idx;
            return coord;
        },

        back: function() {
            idx = (idx - 1 >= 0) ? idx - 1 : 0;
        }
    }

}();