"use strict";
var services = function() {
	return {
		adSence : function(callback) {
			if (config.desktop) {
				var request;
				var tmPtr = setTimeout(function() {
					console.error("Unable to load AdSence module - possibly blocked");
					request.abort();
					if (callback)
						callback();
				}, config.adSenceTimeout * 1000);
				request = $.getScript('http://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js', function(data, textStatus) {
					if (textStatus !== "success") {
						clearTimeout(tmPtr);
						console.error("Unable to load AdSence module");
						if (callback)
							callback();
						return false;
					}
					clearTimeout(tmPtr);
					$('.adsContainer').html('<ins class="adsbygoogle" data-ad-client="ca-pub-7839575520735973" data-ad-slot="7617598444"></ins>');
					(window.adsbygoogle = window.adsbygoogle || []).push({});
					console.log("AdSence loaded!");
					if (callback)
						callback();
				});
			} else {
				if (callback)
					callback();
			}
		},
		googleAPIs : function(callback, scope) {
			view.loader(true);
			var errorMsg = "Google Maps loads longer than usually. Please wait a few more seconds, but if it doesn't load please restart the application.";
			setTimeout(function() {
				if (typeof google === "undefined" || typeof google.maps === "undefined" || typeof google.maps.LatLng === "undefined") {
					view.loader(false);
					view.showPopup(errorMsg);
				}
			}, config.googleMapsLoadTimeout * 1000);
			var errorMsg = "Unable to load Google Maps. Please restart the application.";
			$.getScript('https://www.google.com/jsapi', function(data, textStatus) {
				if (textStatus === "success" && typeof google !== "undefined") {
					google.load('maps', '3', {
						other_params : 'libraries=geometry&key=AIzaSyCL73t4v7XwOQhNX66edpE-yVxY7ehLdDw',
						callback : function() {
							view.loader(false);
							callback();
						},
					});
				} else {
                    view.loader(false);
                    view.showPopup(errorMsg);
                    return false;
                }
			});
		},
		googleAnalytics : function(callback) {
			if (config.desktop) {
				(function(i, s, o, g, r, a, m) {
					i['GoogleAnalyticsObject'] = r;
					i[r] = i[r] || function() {
						(i[r].q = i[r].q || []).push(arguments)
					}, i[r].l = 1 * new Date();
					a = s.createElement(o), m = s.getElementsByTagName(o)[0];
					a.async = 1;
					a.src = g;
					m.parentNode.insertBefore(a, m)
				})(window, document, 'script', '//www.google-analytics.com/analytics.js', 'ga');

				ga('create', 'UA-42148467-2', 'scislo.eu');
				ga('send', 'pageview');
				console.log("Google Analytics for Desktop loaded!");
			} else {
				analytics.startTrackerWithId('UA-42428351-2');
				analytics.trackView('Main Screen');
				console.log("Google Analytics for Mobile Loaded!");
			}
			callback();
		}
	}
}();
