"use strict";
dm.views.InitPopup = dm.views.Parent.extend({
	templateName : 'initPopup',
	el : $("#initPopup"),

	events : {
		"click .redirect" : 'redirect'
	},


	render : function() {
		this.$el.html(this.template());
		this.modelBinder.bind(this.model, this.$el, {
			'notShow' : {
				selector : '#show',
				converter : _.bind(function(direction, value) {
					this.model.save();
					return value;
				}, this)
			}
		});
		$.mobile.changePage('#initPopup', 'pop', true, true);
        this.delegateEvents(this.events);
		this.$el.on('pageinit', _.bind(function() {
			this.delegateEvents(this.events);
		}), this);
		return this;
	},

	redirect : function(e) {
		e.preventDefault();
        window.open('market://details?id=eu.scislo.mobilenext.simplyshoppinglist', "_system");
	}

});
